use super::renderable::Renderable;
use crate::renderer::errors::RenderError;
use std::fmt::Debug;

pub trait ContextElement: Walkable + Renderable + Debug {}

pub trait Walkable {
    fn walk(&self, segment: &str) -> Result<&dyn ContextElement, RenderError>;
}
